<ng-container *transloco="let t; prefix: 'onboardingTemplateDetail'">
	<div class="d-flex px-2 min-vh-100 col-12 mt-2 row flex-column gap-2">
		<div class="col-12 w-16 mt-3">
			<button class="ml-3 btn btn-primary" id="editButton"
				(click)="onEdit()">{{t('edit')}}</button>
		</div>

		<div class="col-12 mt-2">
			<div class="fw-semibold fieldTitle">
				{{ t('templateDescription') }}
			</div>
			<div class="fieldContent">
				{{ template.description || '-'}}
			</div>
		</div>

		<div class="col-12 mt-2">
			<div class="fw-semibold fieldTitle">
				{{ t('expirationTimeframe') }}
			</div>
			<div class="fieldContent">
				{{ template.expirationTimeframe }}
			</div>
		</div>

		<lib-tabs [tabs]="tabs" class="mt-3 pb-2"></lib-tabs>

		<ng-container class="mt-2">
			@for(document of template.documentTemplates; track document;){
        <div class="d-flex flex-column gap-2">
          <div class="row border border-1 border-black p-2 m-2">
            <div>
				{{ document?.name }}
            </div>
			<div>
				{{ document?.description }}
			</div>
            <div class="mt-2">
              <mat-chip>{{ document.mimeType.value }}</mat-chip>
              @if(document.mandatory){
                <mat-chip style="margin-left: 1rem;">{{ t('mandatory') }}</mat-chip>
              } @else {
                <mat-chip style="margin-left: 1rem;">{{ t('notMandatory') }}</mat-chip>
              }
            </div>
          </div>
        </div>
			}
		</ng-container>
	</div>
</ng-container>
